Zum Hauptinhalt springen
GET
/
public
/
v1
/
campaign-service
/
campaigns
/
{campaign-id}
/
bids
Get Campaign Bids
curl --request GET \
  --url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/bids \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/bids"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/bids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "hasMore": true,
  "bids": [
    {
      "bidId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "target": {
        "id": "<string>"
      },
      "isActive": true,
      "triggers": [
        {
          "type": "<string>",
          "value": {
            "words": [
              "<string>"
            ]
          }
        }
      ],
      "campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": "<unknown>",
      "location": "Santiago",
      "bidsBehaviorData": "<string>",
      "formatProperties": {
        "bannerAssets": [
          {
            "dimensions": {
              "width": 123,
              "height": 123
            },
            "url": "<string>",
            "contentType": "image/png",
            "size": 123,
            "assetId": "asset_01j713j64yfsvtj4bs3ccpy5ca",
            "content": {},
            "jsonTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        ],
        "slotId": "<string>",
        "adFormat": "<string>",
        "deviceType": "desktop"
      }
    }
  ],
  "next": {
    "offset": 123,
    "limit": 123
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Autorisierungen

Authorization
string
header
erforderlich

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Pfadparameter

campaign-id
string<uuid>
erforderlich

The ID of the campaign.

Abfrageparameter

offset
integer
Standard:0

The pagination offset.

Erforderlicher Bereich: x >= 0
limit
integer
Standard:100

The pagination limit.

Erforderlicher Bereich: 0 <= x <= 100

Antwort

Successful Response

The public response body of the bids endpoints.

hasMore
boolean
erforderlich

Whether this is the last page of results or not.

bids
Bid · object[]
erforderlich

An array of bids.

Maximum array length: 500
next
Next · object | null

The parameters that should be used to fetch the next page.